SDL_AudioDevice Struct Reference

`#include <SDL_sysaudio.h>`

Collaboration diagram for SDL_AudioDevice:
[legend]

## Data Fields

SDL_AudioDeviceID | id
SDL_AudioSpec | spec
SDL_AudioSpec | callbackspec
SDL_AudioStream * | stream
SDL_atomic_t | shutdown
SDL_atomic_t | enabled
SDL_atomic_t | paused
SDL_bool | iscapture
Uint8 * | work_buffer
Uint32 | work_buffer_len
SDL_mutex * | mixer_lock
SDL_Thread * | thread
SDL_threadID | threadid
SDL_DataQueue * | buffer_queue
struct SDL_PrivateAudioData * | hidden
void * | handle

## Detailed Description

Definition at line 131 of file SDL_sysaudio.h.

## Field Documentation

## buffer_queue

SDL_DataQueue* SDL_AudioDevice::buffer_queue

Definition at line 166 of file SDL_sysaudio.h.

## callbackspec

SDL_AudioSpec SDL_AudioDevice::callbackspec

Definition at line 141 of file SDL_sysaudio.h.

## enabled

SDL_atomic_t SDL_AudioDevice::enabled

Definition at line 148 of file SDL_sysaudio.h.

## handle

void* SDL_AudioDevice::handle

Definition at line 172 of file SDL_sysaudio.h.

## hidden

struct SDL_PrivateAudioData* SDL_AudioDevice::hidden

Definition at line 170 of file SDL_sysaudio.h.

## id

SDL_AudioDeviceID SDL_AudioDevice::id

Definition at line 135 of file SDL_sysaudio.h.

## iscapture

SDL_bool SDL_AudioDevice::iscapture

Definition at line 150 of file SDL_sysaudio.h.

Referenced by open_audio_device().

## mixer_lock

SDL_mutex* SDL_AudioDevice::mixer_lock

Definition at line 159 of file SDL_sysaudio.h.

## paused

SDL_atomic_t SDL_AudioDevice::paused

Definition at line 149 of file SDL_sysaudio.h.

## shutdown

SDL_atomic_t SDL_AudioDevice::shutdown

Definition at line 147 of file SDL_sysaudio.h.

## spec

SDL_AudioSpec SDL_AudioDevice::spec

Definition at line 138 of file SDL_sysaudio.h.

## stream

SDL_AudioStream* SDL_AudioDevice::stream

Definition at line 144 of file SDL_sysaudio.h.

## thread

SDL_Thread* SDL_AudioDevice::thread

Definition at line 162 of file SDL_sysaudio.h.

## threadid

SDL_threadID SDL_AudioDevice::threadid

Definition at line 163 of file SDL_sysaudio.h.

## work_buffer

Uint8* SDL_AudioDevice::work_buffer

Definition at line 153 of file SDL_sysaudio.h.

## work_buffer_len

Uint32 SDL_AudioDevice::work_buffer_len

Definition at line 156 of file SDL_sysaudio.h.

The documentation for this struct was generated from the following file:

- src/audio/SDL_sysaudio.h